## radio_garden

![coverage][coverage_badge]
[![style: very good analysis][very_good_analysis_badge]][very_good_analysis_link]
[![License: MIT][license_badge]][license_link]

Generated by the [Very Good CLI][very_good_cli_link] 🤖

A Dart app that uses the [Radio Garden API][radio_garden_api] to play radio stations from around the world in your Discord server.

---

## Getting Started 🚀

### Getting environment variables


```sh
bash get_environments.sh
```

### Running the server on Docker

```sh
bash relaunch_prod.sh #Or relaunch.sh if working in dev
```

### Running the server on a Dev Container ⚡

By running the server in a dev container you'll be able to use zsh and you'll not need to wait for docker to rebuild every time you want to test a change in the code.


- Install Dev Containers in VS Code.
- Press F1 and run `Rebuild and Reopen in container`.

From there you can run:

```dart
dart bin/radio_garden_development.dart
```


## Running Tests with coverage 🧪

To run all unit tests use the following command:

```sh
$ dart pub global activate coverage 1.2.0
$ dart test --coverage=coverage
$ dart pub global run coverage:format_coverage --lcov --in=coverage --out=coverage/lcov.info
```

To view the generated coverage report you can use [lcov](https://github.com/linux-test-project/lcov)
.

```sh
# Generate Coverage Report
$ genhtml coverage/lcov.info -o coverage/

# Open Coverage Report
$ open coverage/index.html
```

---

[coverage_badge]: coverage_badge.svg
[license_badge]: https://img.shields.io/badge/license-MIT-blue.svg
[license_link]: https://opensource.org/licenses/MIT
[very_good_analysis_badge]: https://img.shields.io/badge/style-very_good_analysis-B22C89.svg
[very_good_analysis_link]: https://pub.dev/packages/very_good_analysis
[very_good_cli_link]: https://github.com/VeryGoodOpenSource/very_good_cli